Subject: [alpine-aports] [PATCH 1/2] testing/libcouchbase update version to 2.6.0

From: Nathan Johnson <[email-masked]>
Date: Tue, 7 Jun 2016 18:57:54 -0500

This is a prerequite for the php7-couchbase package I'm about
to submit.
---
 testing/libcouchbase/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/testing/libcouchbase/APKBUILD b/testing/libcouchbase/APKBUILD
index 7654127..2d5e00d 100644
--- a/testing/libcouchbase/APKBUILD
+++ b/testing/libcouchbase/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Nathan Johnson <[email-masked]>
 # Maintainer: Nathan Johnson <[email-masked]>
 pkgname=libcouchbase
-pkgver=2.5.8
+pkgver=2.6.0
 pkgrel=0
 pkgdesc="C client library for Couchbase"
 url="http://developer.couchbase.com/community"
@@ -86,15 +86,15 @@ bin() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="ccc1f5fc086d40ace1fdb365d4669409  libcouchbase-2.5.8.tar.gz
+md5sums="da561adb36f6fadb873652f224b016ce  libcouchbase-2.6.0.tar.gz
 99f6fd7df5b3ccf4be9bc3363a96efea  disable_git_version_check.patch
 e207d547e3de14e22eecef04edf97a6b  fix_snappy.patch
 00792fefbf19d29257411285afad5dd5  fix_socktest.patch"
-sha256sums="98bc78608c7de9e2a3b460da3cd34600c92e644108521e4f8a24d9102423546c  libcouchbase-2.5.8.tar.gz
+sha256sums="8953fc547011f7720b624ab552426c3a35f4884ca50e5ce21f4e3ba0da0ae2d0  libcouchbase-2.6.0.tar.gz
 c323477ab7d2dddad9decf85b00e64a9b13e4e0c9eb78890e8c2ff99cee9ed3b  disable_git_version_check.patch
 30066934200e21c1b912600bc5dd72ec033aa9c580f1d2456a167ba91b4e624f  fix_snappy.patch
 541a8d97d1e84fcbbee65014e7f81efa312c0f592975e168d7c81ded5a585152  fix_socktest.patch"
-sha512sums="e5fb91b76a6209fe62d85dedf262560b86018368dc2a50b08584f1acdb68fd98387acbc5433901c3129c7e00fab898d9457b9d48a645ebc1756ab261d2122a06  libcouchbase-2.5.8.tar.gz
+sha512sums="5f8406c783bced913eb5b1c2ef7e4c285e3526d7533cb4de45e7de46b86aca83514f0d17353a20fd1ce962cef5fcbf5b27c3810e4e79c85af451022a3ad8be5d  libcouchbase-2.6.0.tar.gz
 987b76b9c8a38a1f144bcada3c24192b30b352c993c433f4a2a1e381b765ae6bb845ebc6393c794da1b4efbb68fd1d34b027104fecf5c9bcc29b0f58c7f6a474  disable_git_version_check.patch
 36b483883f8cc2785a1b323cb67ebb9fb7e6e3af767fdcaca88205b3bbc32c02a375a88ce3749df750770ebd62d99c4bf5a19ef496e5f7f160e4b74fbd928e45  fix_snappy.patch
 72319b86fdd91728723ccb091e72199788a84e2ec9ea12c0fcd1ed686eb155ec11e0addbff96735f83e7f31764a85650f0483b6e76d3a8bee16f71b2751fe4a9  fix_socktest.patch"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Nathan Johnson <[email-masked]>
Date: Tue, 7 Jun 2016 18:57:55 -0500

This is 2.2 beta3 release.  Requires libcouchbase 2.6.0
---
 testing/php7-couchbase/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/php7-couchbase/APKBUILD

diff --git a/testing/php7-couchbase/APKBUILD b/testing/php7-couchbase/APKBUILD
new file mode 100644
index 0000000..e948431
--- /dev/null
+++ b/testing/php7-couchbase/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Nathan Johnson <[email-masked]>
+# Maintainer: Nathan Johnson <[email-masked]>
+pkgname=php7-couchbase
+_pkgreal=couchbase
+pkgver=2.2.0_beta3
+_pkgrealver=${pkgver/_/}
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php7-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="${pkgname}-${pkgver}.tgz::http://pecl.php.net/get/${_pkgreal}-${_pkgrealver}.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgrealver
+
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr --with-php-config=/usr/bin/php-config7 || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php5/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php5/conf.d/$_pkgreal.ini
+}
+
+md5sums="0fec7a685d44948921c48167dffd0d35  php7-couchbase-2.2.0_beta3.tgz"
+sha256sums="f1f73f57790628b4839f1e8a8ee97f40eb19b7e17d6de8462991dc6188d35d36  php7-couchbase-2.2.0_beta3.tgz"
+sha512sums="c80cef205b9fb957f9a5be42a92a749c8ce7dfd4d01638be2441e84e9eb454cf4b28266591378ad07ac7004e798175cdf2455da46d688f702a643705bc7276ea  php7-couchbase-2.2.0_beta3.tgz"
-- 
2.8.3

---